Bug 1418708 - The option of VM migration to the same host it is already running on is possible
Summary: The option of VM migration to the same host it is already running on is possible
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Providers
Version: 5.7.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: GA
: 5.8.0
Assignee: Tomas Jelinek
QA Contact: Ilanit Stein
URL:
Whiteboard: rhev, vm migration
Depends On:
Blocks: 1436222
TreeView+ depends on / blocked
 
Reported: 2017-02-02 14:52 UTC by Ilanit Stein
Modified: 2017-05-31 14:34 UTC (History)
8 users (show)

Fixed In Version: 5.8.0.8
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1436222 (view as bug list)
Environment:
Last Closed: 2017-05-31 14:34:02 UTC
Category: ---
Cloudforms Team: RHEVM
Target Upstream Version:


Attachments (Terms of Use)
vm_migration_using _invalid_destination.png (156.69 KB, image/png)
2017-02-02 14:53 UTC, Ilanit Stein
no flags Details
Migrate_to_same_host_new_error.png (24.42 KB, image/png)
2017-04-04 09:51 UTC, Ilanit Stein
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:1367 normal SHIPPED_LIVE Moderate: CFME 5.8.0 security, bug, and enhancement update 2017-05-31 18:16:03 UTC

Description Ilanit Stein 2017-02-02 14:52:42 UTC
Description of problem:
On CFME, when trying to migrate a RHV VM to the same host is possible, though it shouldn't be.

When running this option it fails on that there are no hosts available - 
which is not relevant to the operation that was ran.

See in the attached "vm_migration_using _invalid_destination.png"
Request 8

Version-Release number of selected component (if applicable):
CFME-5.7.1
RHV-4.0.6

How reproducible:
100%

Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 2 Ilanit Stein 2017-02-02 14:53:37 UTC
Created attachment 1247136 [details]
vm_migration_using _invalid_destination.png

Comment 3 Oved Ourfali 2017-02-06 08:39:27 UTC
Tomas, can you take a look?

Comment 4 Tomas Jelinek 2017-02-15 08:55:04 UTC
yep, I will have a look

Comment 5 Tomas Jelinek 2017-03-03 10:56:17 UTC
https://github.com/ManageIQ/manageiq/pull/14155

Comment 7 Ilanit Stein 2017-04-04 09:51:08 UTC
Verified on CFME-5.8.0.8/RHV-4.0.7.

Now VM migration to the same host is still possible, but the error message is relevant. See attached "Migrate_to_same_host_new_error.png"

Comment 8 Ilanit Stein 2017-04-04 09:51:58 UTC
Created attachment 1268593 [details]
Migrate_to_same_host_new_error.png

Comment 10 errata-xmlrpc 2017-05-31 14:34:02 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:1367


Note You need to log in before you can comment on or make changes to this bug.